centus yum update

Discussion in 'Installation/Configuration' started by fisherofer, Oct 27, 2009.

  1. fisherofer

    fisherofer New Member

    yum update
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * addons: ftp.linux.org.tr
    * atomic: www4.atomicorp.com
    * base: centosy3.centos.org
    * extras: ftp.linux.org.tr
    * rpmforge: ftp-stud.fht-esslingen.de
    * updates: ftp.linux.org.tr
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package clamav-server.i386 0:0.94.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-lib = 0.94.2-1.vm.el5 for package: clamav-server
    --> Processing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 for package: clamav-server
    --> Processing Dependency: libclamav.so.5 for package: clamav-server
    --> Processing Dependency: data(clamav) for package: clamav-server
    --> Processing Dependency: libclamav.so.5(CLAMAV_PUBLIC) for package: clamav-server
    --> Processing Dependency: init(clamav-server) for package: clamav-server
    --> Processing Dependency: libclamav.so.5(CLAMAV_PRIVATE) for package: clamav-server
    ---> Package libgpod.i386 0:0.6.0-4.el5.kb set to be updated
    --> Processing Dependency: liblzo.so.1 for package: lzop
    ---> Package lzo.i386 0:2.02-3.el5.kb set to be updated
    --> Running transaction check
    ---> Package clamav-data.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-filesystem = 0.95.2-1.vm.el5 for package: clamav-data
    ---> Package clamav-filesystem.i386 0:0.94.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 for package: clamav-server
    ---> Package clamav-lib.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-server-sysv.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-server = 0.95.2-1.vm.el5 for package: clamav-server-sysv
    --> Processing Dependency: liblzo.so.1 for package: lzop
    --> Running transaction check
    ---> Package clamav-filesystem.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-filesystem.i386 0:0.95.2-1.vm.el5 set to be updated
    ---> Package clamav-server.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-server.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-lib = 0.95.2-1.vm.el5 for package: clamav-server
    --> Processing Dependency: liblzo.so.1 for package: lzop
    --> Running transaction check
    ---> Package clamav-lib.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-lib.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: liblzo.so.1 for package: lzop
    --> Processing Conflict: clamav-filesystem conflicts clamav > 0.95.2-1.vm.el5
    --> Finished Dependency Resolution
    clamav-server-0.94.2-1.vm.el5.i386 from virtualmin has depsolving problems
    --> Missing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 is needed by package clamav-server-0.94.2-1.vm.el5.i386 (virtualmin)
    clamav-filesystem-0.95.2-1.vm.el5.i386 from virtualmin has depsolving problems
    --> clamav-filesystem conflicts with clamav
    lzop-1.01-2.el5.rf.i386 from installed has depsolving problems
    --> Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Error: clamav-filesystem conflicts with clamav
    Error: Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Error: Missing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 is needed by package clamav-server-0.94.2-1.vm.el5.i386 (virtualmin)
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va --nofiles --nodigest


    please help
     
  2. Doug G

    Doug G HowtoForge Supporter

    I have similar yum update results on centos 5.3
     
  3. falko

    falko Super Moderator

    Looks as if some of your repositories conflict with other ones. Where does that www4.atomicorp.com repository come from?
     
  4. fisherofer

    fisherofer New Member

    its a temp sulotion to update php to the new version
    i dont rememebr how to remove it
     
  5. falko

    falko Super Moderator

    It's probably in the /etc/yum.repos.d/ directory. Delete that file or set enabled=0 in it.
     
  6. fisherofer

    fisherofer New Member

    yum update
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * addons: ftp.linux.org.tr
    * base: ftp.ntua.gr
    * extras: ftp.linux.org.tr
    * rpmforge: ftp-stud.fht-esslingen.de
    * updates: ftp.linux.org.tr
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package clamav-server.i386 0:0.94.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-lib = 0.94.2-1.vm.el5 for package: clamav-server
    --> Processing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 for package: clamav-server
    --> Processing Dependency: libclamav.so.5 for package: clamav-server
    --> Processing Dependency: data(clamav) for package: clamav-server
    --> Processing Dependency: libclamav.so.5(CLAMAV_PUBLIC) for package: clamav-server
    --> Processing Dependency: init(clamav-server) for package: clamav-server
    --> Processing Dependency: libclamav.so.5(CLAMAV_PRIVATE) for package: clamav-server
    ---> Package libgpod.i386 0:0.6.0-4.el5.kb set to be updated
    --> Processing Dependency: liblzo.so.1 for package: lzop
    ---> Package lzo.i386 0:2.02-3.el5.kb set to be updated
    --> Running transaction check
    ---> Package clamav-data.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-filesystem = 0.95.2-1.vm.el5 for package: clamav-data
    ---> Package clamav-filesystem.i386 0:0.94.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 for package: clamav-server
    ---> Package clamav-lib.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-server-sysv.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-server = 0.95.2-1.vm.el5 for package: clamav-server-sysv
    --> Processing Dependency: liblzo.so.1 for package: lzop
    --> Running transaction check
    ---> Package clamav-filesystem.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-filesystem.i386 0:0.95.2-1.vm.el5 set to be updated
    ---> Package clamav-server.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-server.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: clamav-lib = 0.95.2-1.vm.el5 for package: clamav-server
    --> Processing Dependency: liblzo.so.1 for package: lzop
    --> Running transaction check
    ---> Package clamav-lib.i386 0:0.94.2-1.vm.el5 set to be updated
    ---> Package clamav-lib.i386 0:0.95.2-1.vm.el5 set to be updated
    --> Processing Dependency: liblzo.so.1 for package: lzop
    --> Processing Conflict: clamav-filesystem conflicts clamav > 0.95.2-1.vm.el5
    --> Finished Dependency Resolution
    clamav-server-0.94.2-1.vm.el5.i386 from virtualmin has depsolving problems
    --> Missing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 is needed by package clamav-server-0.94.2-1.vm.el5.i386 (virtualmin)
    clamav-filesystem-0.95.2-1.vm.el5.i386 from virtualmin has depsolving problems
    --> clamav-filesystem conflicts with clamav
    lzop-1.01-2.el5.rf.i386 from installed has depsolving problems
    --> Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Error: clamav-filesystem conflicts with clamav
    Error: Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Error: Missing Dependency: clamav-filesystem = 0.94.2-1.vm.el5 is needed by package clamav-server-0.94.2-1.vm.el5.i386 (virtualmin)
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va --nofiles --nodigest
     
  7. falko

    falko Super Moderator

    How exactly did you install virtualmin? Did you use a third-party repository for it?
     
  8. fisherofer

    fisherofer New Member

    i dont remember why i installed it but i thinking for the stats
    i can remove it
    if you thinking that virtualmin is the mass holder
     
  9. till

    till Super Moderator

    You should remove virtualmin anyway as it conflicts with ispconfig.
     
  10. fisherofer

    fisherofer New Member

    yum install amavisd-new spamassassin clamav clamd clamav-data clamav-server clamav-update unzip bzip2 unrar

    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * addons: centos.skknet.net
    * base: centos.skknet.net
    * extras: centosv.centos.org
    * rpmforge: ftp-stud.fht-esslingen.de
    * updates: centos.skknet.net
    Setting up Install Process
    Package amavisd-new-2.6.4-2.el5.rf.i386 already installed and latest version
    Package matching spamassassin-3.2.5-1.el5.rf.i386 already installed. Checking for update.
    Package clamav-0.95.3-1.el5.rf.i386 already installed and latest version
    Package clamd-0.95.3-1.el5.rf.i386 already installed and latest version
    No package clamav-data available.
    No package clamav-server available.
    No package clamav-update available.
    Package unzip-5.52-3.el5.i386 already installed and latest version
    Package bzip2-1.0.3-4.el5_2.i386 already installed and latest version
    Package unrar-3.9.4-1.el5.rf.i386 already installed and latest version
    Nothing to do


    *************************************************

    yum update
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * addons: centos.skknet.net
    * base: centos.skknet.net
    * extras: centos.skknet.net
    * rpmforge: ftp-stud.fht-esslingen.de
    * updates: centos.skknet.net
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    --> Processing Dependency: liblzo.so.1 for package: lzop
    ---> Package lzo.i386 0:2.02-3.el5.kb set to be updated
    --> Finished Dependency Resolution
    lzop-1.01-2.el5.rf.i386 from installed has depsolving problems
    --> Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Error: Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va --nofiles --nodigest
     
  11. till

    till Super Moderator

Share This Page